import { Modal } from './context';
export declare const useModal: <P>(modal?: Modal<P> | undefined) => {
    modals: Record<string, Modal<any>>;
    opened: string[];
    openModal: <P_1>(modalId: string, modal?: Partial<Modal<P_1>> | undefined) => void;
    closeModal: (modalId: string) => void;
    registerModal: <P_2>(modal: Modal<P_2>) => void;
    unregisterModal: (modalId: string) => void;
};
